> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily vote latency across all geolocations

> This endpoint returns the median vote latency across all hosting providers/data centers for the specified date.

To use this endpoint, a day must be specified. The endpoint then returns all available median vote latency data across all data center/hosting provider locations for the specified date.

<Note>
  Earliest data available is from November 1, 2024.
</Note>


## OpenAPI

````yaml get /v1/solana/network/geolocation/latency
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/network/geolocation/latency:
    get:
      tags:
        - Solana Performance
      summary: Get daily vote latency across all geolocations
      description: >-
        This endpoint returns the median vote latency across all hosting
        providers/data centers for the specified date.
      operationId: get_geolocation_latency_v1_solana_network_geolocation_latency_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: UTC date to retrieve data for
            examples:
              - '2024-12-01'
            title: Date
          description: UTC date to retrieve data for
        - name: sortOrder
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            default: asc
        - name: sortBy
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortByField'
            description: Choose between latency, country, city or hostingProvider
            default: latency
          description: Choose between latency, country, city or hostingProvider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__5
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    SortByField:
      type: string
      enum:
        - networkPenetration
        - raver
        - delegatorApy
        - latency
        - country
        - city
        - hostingProvider
      title: SortByField
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__5:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              fromSlot:
                type: integer
                minimum: 0
                title: Fromslot
              toSlot:
                type: integer
                minimum: 0
                title: Toslot
              country:
                type: string
                title: Country
              city:
                type: string
                title: City
              hostingProvider:
                type: string
                title: Hostingprovider
              medianVoteLatency:
                anyOf:
                  - type: number
                  - type: string
                title: Medianvotelatency
            type: object
            required:
              - day
              - fromSlot
              - toSlot
              - country
              - city
              - hostingProvider
              - medianVoteLatency
            title: SolanaNetworkGeolocationDailyLatency
            examples:
              - city: Frankfurt
                country: Germany
                day: '2024-01-01'
                fromSlot: 250000000
                hostingProvider: Hoster Roster
                medianVoteLatency: 1.202
                toSlot: 250200000
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaNetworkGeolocationDailyLatency
      examples:
        - next: >-
            https://api.rated.network//v1/solana/network/geolocation/latency?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/network/geolocation/latency?limit=10&offset=10
          results:
            - - city: Frankfurt
                country: Germany
                day: '2024-01-01'
                fromSlot: 250000000
                hostingProvider: Hoster Roster
                medianVoteLatency: 1.202
                toSlot: 250200000
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````